For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet default DNS config for an organization
        • POSTCreate default DNS config for an organization
        • DELDelete default DNS config for an organization
        • PATCHUpdate default DNS config for an organization
LogoLogo
Request featuresContact support
API ReferenceService Lookups and Configuration

Update default DNS config for an organization

PATCH
https://cdn.emnify.net/api/v1/organisation/:organisation_id/default_dns
PATCH
/api/v1/organisation/:organisation_id/default_dns
$curl -X PATCH https://cdn.emnify.net/api/v1/organisation/123/default_dns \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "dns_id": 222
>}'
1{}

Updates the default DNS configuration for the specified organization.

At least one field (dns_id or allow_overwrite) must be provided. Only the organization’s own default DNS config can be updated (not inherited configs).

Was this page helpful?
Previous

Delete default DNS config for an organization

Next

List SIMs

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

organisation_idlongRequired
Organization ID

Request

This endpoint expects an object.
dns_idintegerOptional

ID of an existing DNS configuration object from /api/v1/dns.

allow_overwritebooleanOptional
Whether child organizations can override this default DNS config.

Response

Default DNS config successfully updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error